<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>vuetest</title>
    <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
    <link rel="stylesheet" href="vuetest.css">    

</head>

<body> 
    <div id="app">
        <button v-on:click="addtitle">add message</button>
        <input type="text" name="textbox" id="textbox" v-model="title">
        <input type="text" name="textbox" id="textbox" v-model="cat">
        <input type="text" name="textbox" id="textbox" v-model="q" placeholder="Search">
        <main>
            <card 
                v-for="item, index in posts"
                v-if="item.cat != 'A'"
                :article="item"
                :index="index" 
                :key="item.id"
                > 
                <!-- <remove></remove> -->
            </card>
        </main>
    </div>


    <script src="vuetest.js"></script>
</body>
</html>